task SamToBam {
	File aligned_sam
	String PIdocker
	String sample
	String cluster_config
	String disk_size
	String id
	String library
	String platform
	String machine

	command <<<
		set -o pipefail
		set -e	
		java -jar /usr/bin/picard/picard.jar AddOrReplaceReadGroups I=${aligned_sam} O=${sample}.bam SO=coordinate RGID=${id} RGLB=${library} RGPL=${platform} RGPU=${machine} RGSM=${sample} 
	>>>

	runtime {
		docker:PIdocker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File sorted_bam = "${sample}.bam"
	}
}
