task novoalign {

    File NVref_dir
    String index
	File fastq_1
	File fastq_2
	String NVdocker
	String sample
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e	
		nt=$(nproc)
		/opt/novoalign -d ${NVref_dir}/${index} -f ${fastq_1} ${fastq_2} -o SAM --hlimit 9 -t 0,2 -c $nt > ${sample}.novoalign.sam
	>>>

	runtime {
		docker:NVdocker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File aligned_sam = "${sample}.novoalign.sam"
	}
}
